Subject: Closing down AgentX WG

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 21 May 2002 16:45:14 +0200

AgentX WG,
- I have not seen enourmous support/enthousiasm to the 
  below email from Bob.
- The WG finished all its workitems, and both the 
  AgentX protocol and the MIB module are at Draft Status.

Therefor, we'll shut down the WG now.
Thank you all (especially WG chair, Editor(s) and all
contributors).

When it becomes time to consider advancement to full STD,
we can then decide how to charter that work. Whenever anybody
feels the documents are ready for advancement, pls inform
the OPS ADs.

I assume we can keep the mailing list open for any further
discussion that we may need. Randy?

Bert 

> -----Original Message-----
> From: Natale, Robert C (Bob) [mailto:[email-masked]]
> Sent: Thursday, April 04, 2002 7:56 AM
> To: [email-masked]
> Subject: AgentX WG: New work items or close?
> Importance: High
> 
> 
> Hi folks,
> 
> With the advancement of the AgentX specs to
> Draft Standard status some time ago, we now
> need to decide whether we want to take on any
> new work items as an WG or ask the IESG to
> close the WG until the time comes to review
> the specs' qualifications for Full Standard
> status.
> 
> The possible work items I know of that we
> could incorporate into a revised charter
> include:
> 
>    - Mechanisms for supporting the SNMPv3
>      security features in AgentX...this has
>      been discussed on the list in the past
>      under the "security credentials" and
>      "isAccessAllowed()" threads.
> 
>    - Process mechanisms for ensuring that
>      IETF standard MIBs are written in such
>      a way as to avoid constructs that
>      prevent or seriously impede standard
>      AgentX support (e.g., avoiding the use
>      of scalar objects).  This might take
>      the form of a new boilerplate section
>      for MIBs called "AgentX Considerations",
>      akin to the "Security Considerations"
>      section currently required.  For vendor
>      MIBs, this process would encourage
>      AgentX supportability.
> 
>    - Any potential revisions to the specs
>      that have surfaced since the implementation
>      survey that we did prior to going to
>      Draft Standard status that we will need
>      to address for Full Standard status...
>      might as well air these at the earliest
>      possible point and come up with solutions.
> 
>    - Any other suggestions from the floor...?
> 
> However, we should undertake these new work items
> *only* if there is sufficient interest in actually
> working on them (writing, editing, reviewing,
> commenting, coding, testing, etc.) among a reasonable
> subset of the group.  Otherwise, we should ask the
> IESG to close the WG.
> 
> So, if you are interested in working on any of
> the above items in this forum, please post your
> comments to the list within the next several days.
> I'll aim for summarizing the response by the end
> of next week (Fri 4/12) and making a recommendation
> to the ADs for their consideration.
> 
> I have bcc:'d the "AgentPP" and "NET-SNMP" lists
> on this notice since they have more AgentX traffic
> than this list -- a good thing at this point! --
> but please post all responses back to this list
> alias only.
> 
> Thanks,
> 
> BobN
> Chair
>